Skip to main content
GET
Get invoice
The Invoices endpoint allows you to retrieve detailed information about a specific invoice using its unique ID and version. To ensure compatibility and stability, it is essential to include the correct version number in the URL path when making a request. For more information on versioning, refer to the Versioning page.

Request Parameters

The following parameters are accepted as query parameters, except version which is part of the URL path:

Example CURL request

CURL Example using Invoice ID:
CURL Example using Invoice Number:
Replace {version} with the API version number, {invoiceNumber} with the actual invoice number, and YOUR_ACCESS_TOKEN with your actual Bearer token: Using Invoice ID:
Using Invoice Number:

Response Parameters

The following table lists the parameters included in the response for invoice-related requests.

Example Response

On the right side, you can see examples of different error codes by clicking “Example” and selecting the response code.

Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits page. This page is interactive, allowing you to try a request by specifying the API version in the URL path and providing the necessary request body. As you fill out the parameters, the Curl command on the right side of the page will be automatically updated. Alternatively, you can directly edit the Curl command. Make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Query Parameters

id
string
invoiceNumber
string

Response

OK

Id
string
required
Number
string
required
Type
string
required
Status
string
required
CreatedDate
string<date-time>
required
Total
object
required
AmountPaid
object
required
RemainingBalance
object
required
OverPaymentAmount
object
required
IsSubmitted
boolean
required
Vendor
object
required
Customer
object
required
LineItems
object[]
required
Loads
object[]
required
Payments
object[]
required
IsVoided
boolean
required
InvoicedDate
string<date-time> | null
DueDate
string<date-time> | null
PaidDate
string<date-time> | null
LastSendDate
string<date-time> | null
SupplementalInvoiceType
string | null